package
{
	import flash.display.*;
	import flash.events.*;
	import flash.geom.Matrix;
	import flash.geom.Rectangle;
	import flash.text.*;
	import flash.net.*;
	import flash.utils.ByteArray;
	import com.adobe.images.JPGEncoder;
	
	
	// SWF Metadata
	[SWF(width="600", height="400", backgroundColor="#FFFFFF", framerate="30")]

	public class FileLoad extends Sprite
	{
		private var fr:FileReference;
		private var it:TextField;
		private var loader:Loader
		private var draw:Boolean;
		private var blackboard:MovieClip;
		private var holder:MovieClip;
		
		private var _test:Boolean;
		
		public function FileLoad():void
		{
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			/*it = new TextField();
			it.width = 200;
			it.height = 300;
			it.border = true;
			it.multiline = true;
			it.type = "input";
			it.y = 35;
			addChild(it);*/
			
			
			holder = new MovieClip();
			blackboard = new MovieClip();
			
			this.addChild(holder);
			
			var testrect:Rectangle = new Rectangle();
			var qb1:QuickButton = new QuickButton("Load File");
			addChild(qb1);
			var qb2:QuickButton = new QuickButton("Save File");
			qb1.x = 105;
			addChild(qb2);
			qb1.addEventListener(MouseEvent.CLICK, onLoad);
			qb2.addEventListener(MouseEvent.CLICK, onSave);
			
			fr = new FileReference();
			fr.addEventListener(Event.SELECT, onSelect);
			fr.addEventListener(Event.COMPLETE, onComplete);
			
			
		}
		
		private function onLoad(e:Event):void
		{
			fr.browse();
		}
		
		private function onSelect(e:Event):void
		{
			fr.load();
		}
		
		private function onComplete(e:Event):void
		{
			//it.text = fr.data.readUTFBytes(fr.data.length);
			/*it.text = fr.data;
			
			*/
			var data:ByteArray = fr.data;
			loader = new Loader();
			loader.x = 0;
			loader.y = 50;
			loader.loadBytes(data);
			holder.addChild(loader);
			holder.addChild(blackboard);
			
			loader.addEventListener(Event.ENTER_FRAME, onDraw);
			loader.addEventListener(MouseEvent.MOUSE_DOWN, onMouseDown);
			loader.addEventListener(MouseEvent.MOUSE_UP, onMouseUp);
		}
		
		private function onMouseUp(e:MouseEvent):void 
		{
			draw = false;
		}
		
		private function onMouseDown(e:MouseEvent):void 
		{
			draw = true;
			blackboard.graphics.moveTo(blackboard.mouseX, blackboard.mouseY);
		}
		
		private function onDraw(e:Event):void 
		{
			if (draw) {
				blackboard.graphics.lineStyle(1, 0x00ff00);
				blackboard.graphics.lineTo(blackboard.mouseX, blackboard.mouseY);
			}
		}
		
		private function onSave(e:Event):void
		{
			//fr.save(it.text, fr.name);
			
			this.addEventListener(MouseEvent.CLICK, onMouseClick);
			var bitmapData:BitmapData = new BitmapData(holder.width, holder.height);
			bitmapData.draw(holder,new Matrix());
			var jpg:JPGEncoder = new JPGEncoder();
			var ba:ByteArray = jpg.encode(bitmapData);
			fr.save(ba,'test.jpg');
		}
		
		private function onMouseClick(e:MouseEvent):void 
		{
			
		}
		
		public function get test():Boolean { return _test; }
		
		public function set test(value:Boolean):void 
		{
			_test = value;
		}
	}
}

