﻿package  
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.events.TimerEvent;
	import flash.media.Sound;
	import flash.utils.Timer;
	import flash.events.SampleDataEvent;
	/**
	* ...
	* @author Carly Gooch
	*/
	public class SoundDemo extends Sprite
{
		//private var freq:Number = 440;
		private var freq:Number = 440; //a above middle c
		private var rate:Number = 44100;
		private var phase:Number = 0;
		private var sound:Sound;	
		private var music:Array;
		private var notes:Array;
		private var currentNote:int;
		
		private var pause:Boolean;
		//log scale
		
		public function SoundDemo() 
		{
			
			
			notes = new Array();
			notes[0] = 261.63;
			notes[1] = 293.66;
			notes[2] = 329.63;
			notes[3] = 349.23
			notes[4] = 392;
			notes[5] = 440; 
			
			music = new Array();
			music.push(new Note(1));
			music.push(new Note(1));
			music.push(new Note(5));
			music.push(new Note(5));
			music.push(new Note(6));
			music.push(new Note(6));
			music.push(new Note(5,true));
			music.push(new Note(5));
			music.push(new Note(4));
			music.push(new Note(4));
			music.push(new Note(3));
			music.push(new Note(3));
			music.push(new Note(2));
			music.push(new Note(2));
			music.push(new Note(1,true));
			music.push(new Note(1));
			
			music.push(new Note(5));
			music.push(new Note(5));
			music.push(new Note(4));
			music.push(new Note(4));
			music.push(new Note(3));
			music.push(new Note(3));
			music.push(new Note(2,true));
			music.push(new Note(2));
			
			music.push(new Note(5));
			music.push(new Note(5));
			music.push(new Note(4));
			music.push(new Note(4));
			music.push(new Note(3));
			music.push(new Note(3));
			music.push(new Note(2,true));
			music.push(new Note(2));
			
			music.push(new Note(1));
			music.push(new Note(1));
			music.push(new Note(5));
			music.push(new Note(5));
			music.push(new Note(6));
			music.push(new Note(6));
			music.push(new Note(5,true));
			music.push(new Note(5));
			music.push(new Note(4));
			music.push(new Note(4));
			music.push(new Note(3));
			music.push(new Note(3));
			music.push(new Note(2));
			music.push(new Note(2));
			music.push(new Note(1,true));
			music.push(new Note(1));
			
			currentNote = 0;
			
			pause = true;
			
			//var timer:Timer = new Timer(500);
			//timer.addEventListener(TimerEvent.TIMER, onTimer);
			//timer.start();
			
			//sound = new Sound();
		//	sound.addEventListener(SampleDataEvent.SAMPLE_DATA, generateDynamicSound, false, 0, true);
			//sound.addEventListener(Event.SAMPLES_CALLBACK, onSamplesCallback);
			//sound.play();
			
			
			var mySound:Sound = new Sound();
			mySound.addEventListener(SampleDataEvent.SAMPLE_DATA,sineWaveGenerator);
			mySound.play();
		}
		
		
		private function onTimer(e:TimerEvent):void 
		{
			if (pause)
			{
				currentNote++;
				if (currentNote >= music.length)
				{
					currentNote = 0;
				}
				pause = false;
			}else
			{
				trace("pause");
				pause = true;
			}
			
			
		}

		/*private function onSamplesCallback(event:Event):void
		{
				var tempFreq:Number = 0;
					
					
				if (pause==false)
				//if (pause==false||music[currentNote].note.hold)
				{
					tempFreq = notes[music[currentNote].note-1];
 				}
				for(var i:int = 0; i <512; i++)
				{
					phase += tempFreq / rate;
					var phaseAngle:Number = phase * Math.PI * 2 ;
					var sample:Number = Math.sin(phaseAngle);
					sound.samplesCallbackData.writeFloat(sample);
					sound.samplesCallbackData.writeFloat(sample);
				}
		}*/
		protected function sineWaveGenerator(event:SampleDataEvent):void {
			var primeNumbers:Vector.<int> = new Vector.<int>(4, true);
			
			for ( var c:int = 0; c < 8192; c++ ) {
				
				phase += freq / rate;
				var phaseAngle:Number = phase * Math.PI * 2 ;
				var sample:Number = Math.sin(phaseAngle);
				event.data.writeFloat(sample);
				event.data.writeFloat(sample);
				//event.data.writeFloat(Math.sin((Number(c+event.position)/Math.PI/2))*0.25);
				//event.data.writeFloat(Math.sin((Number(c+event.position)/Math.PI/2))*0.25);
			}
		}

		protected function generateDynamicSound(p_event:SampleDataEvent):void {
			//var time:Number = p_event.position / 44.1; //Milliseconds since the sound started.
			
			/*
			Set the number of dynamicSoundSamples.
			The minimum is 512, but causes processor hit, maximum 8192 faster to process.
			*/
			
		/*	for (var c:int=0; c<8192; c++) {
				p_event.data.writeFloat(calculateDynamicSoundChannel(c));
				p_event.data.writeFloat(calculateDynamicSoundChannel(c));
				
			*/
				
			var tempFreq:Number = 0;
					
					
				if (pause==false)
				//if (pause==false||music[currentNote].note.hold)
				{
					tempFreq = notes[music[currentNote].note-1];
 				}
				for(var i:int = 0; i <512; i++)
				{
					phase += tempFreq / rate;
					var phaseAngle:Number = phase * Math.PI * 2 ;
					var sample:Number = Math.sin(phaseAngle);
					p_event.data.writeFloat(sample);
					p_event.data.writeFloat(sample);
				}
			
			//Use this code to create a simple sine wave.
				/*
					var sample:Number = Math.sin((Number(c+p_event.position)/Math.PI/2))*0.25;
					p_event.data.writeFloat(sample);
					p_event.data.writeFloat(sample);
							}*/

		}
		
			//Used to calculate the dynamic sound channel, and to draw the visuals.
		/*protected function calculateDynamicSoundChannel(p_offset:Number):Number {
			return Math.sin((Number(p_offset)/Math.PI/(lastMouseX/canvas.height*SOUND_MULTIPLYER)))*(lastMouseY/canvas.width*2);
		}*/
	}
	
}